Page MenuHomePhabricator

Sort results by date
Closed, ResolvedPublic

Description

Author: matthew.britton

Description:
It would be nice to be able to sort search results by date, as well as by 'relevance'.


Version: unspecified
Severity: enhancement
See Also:
T40403: Sortable search results

Details

Reference
bz16237

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz16237.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 4 2008, 9:58 AM
demon added a comment.Nov 4 2008, 9:44 PM

What date? Last updated? Page creation?

matthew.britton wrote:

Last updated. (Which is already displayed next to search results, so I'm assuming sorting on it before returning the results would be feasible).

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptNov 27 2017, 10:29 AM
debt added a subscriber: debt.

This functionality is requested in the 2017 community wish list: https://meta.wikimedia.org/wiki/2017_Community_Wishlist_Survey/Search#Order_search_results_by_date_of_last_edit_or_alphabetically and has a workaround for this in the comments.

Sorting functionality deployed and appears to be returning correct results now. Some followup will be needed for UI elements, probably T197525

debt closed this task as Resolved.Apr 19 2019, 8:54 PM
debt claimed this task.